<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
	public function up()
	{
	    Schema::table('addresses', function (Blueprint $table) {
		$table->string('label')->nullable();
		$table->boolean('default')->nullable();
	    });
	}

    /**
     * Reverse the migrations.
     */
	public function down()
	{
	    Schema::table('addresses', function (Blueprint $table) {
	        // Reverse the column name change
	        $table->dropColumn('label');
		$table->dropColumn('default');

	    });
	}

};
